#ifndef DefaultOptions_h
#define DefaultOptions_h

// $Id: DefaultOptions.h,v 1.10 2014/05/06 08:10:03 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "File.h"
#include "IconSize.h"
#include "WindowSelectionFrame.h"
#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

    // set options default values
    XmlOptions::get().setAutoDefault( true );

    // icon size
    XmlOptions::get().set<int>( "WINDOW_ICON_SIZE", IconSize::Oversized );
    XmlOptions::get().set<int>( "GRAB_DELAY", 0 );
    XmlOptions::get().set<bool>( "AUTO_HIDE", true );
    XmlOptions::get().set<int>( "SELECTION_MODE", WindowSelectionFrame::SelectFromPointer );
    XmlOptions::get().set<bool>( "SHOW_WINDOW_TREE", false );
    XmlOptions::get().set<bool>( "SHOW_ALL_WINDOWS", false );

    XmlOptions::get().set( "RC_FILE", Option( File(".xgrabwindowrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

};

#endif
