#ifndef HelpText_h
#define HelpText_h

// $Id: HelpText.h,v 1.1 2014/05/06 08:33:46 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QObject>

//! eLogbook help text
static const QString helpText[] =
{

    //_________________________________________________
    QObject::tr( "Introduction" ),
    QObject::tr( "<h2>Introduction</h2>"
    ""
    "<p>Xgrabwindow is a Qt based application used to display X window properties, geometry, and hierarchy.</b>"
    "<p>The main panel is used to display the properties of the selected X window. It contains:</p>"
    "<ul>"
    "<li>the window's icon,</li>"
    "<li>the window's title, class, command, id and process id</li>"
    "<li>the window's current size and position</li>"
    "<li>a list of all the X atoms that are set on this window, their type, and value</li>"
    "</ul>"
    "<p>The list of atoms also contains information about</p>"
    "<ul>"
    "<li>parent windows, sorted hierarchically, up to the X root window;</li>"
    "<li>sibling windows, located at the same level as the current one in the window hierarchy;</li>"
    "<li>and child windows.</li>"
    "</ul>"
    "<p>There are several ways of selecting the window for which the information is displayed:</p>"
    "<ul>"
    "<li>using the mouse pointer;</li>"
    "<li>entering the window Id directly;</li>"
    "<li>using command line arguments;<li>"
    "</ul>"
    "<p>It is also possible to show all the information concerning the X root window directly.</p>"
    "<p>When selecting a window using mouse pointer, it is possible to define a delay before selecting the window, and to hide "
    "Xgrabwindow before selecting.</p>"
    "<p>Xgrabwindow can also display the complete window tree, starting from the X root window. The tree is updated automatically "
    "every time a new window is created or an existing window is destroyed. By default only <i>real</i> windows, with actual display on screen, "
    "are shown, but there is also an option to show all registered windows.</p>"
    "<p>When the window tree is visible, one can select the window for which the information is displayed directly from the list. "
    "The currently selected window is also automatically highlighted in the list.</p>"),

    0
};

#endif
