#ifndef XcbThread_h
#define XcbThread_h

// $Id: XcbThread.h,v 1.1 2014/05/04 11:34:55 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QThread>
#include <QWidget>

//! independent thread used to retrieve xcb events
class XcbThread: public QThread, public Counter
{

    Q_OBJECT

    public:

    //! constructor
    XcbThread( QObject* = 0 );

    //! destructor
    virtual ~XcbThread( void )
    {}

    protected:

    //! Check files validity. Post a ValidFileEvent when finished
    virtual void run( void );

    Q_SIGNALS:

    //! window created
    void windowCreated( WId );

    //! window destroyed
    void windowDestroyed( WId );

};
#endif
